%define	name		ode
%define	version		0.5
%define	rel		6
%define	release		%mkrel %{rel}
%define	lib_name_orig	lib%{name}
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d


Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Source0:	%{name}-%{version}.tar.bz2
License:	BSD LGPL
Group:		System/Libraries
URL:		http://opende.sourceforge.net/
Summary:	The Open Dynamics Engine
BuildRequires:	XFree86-devel MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Patch0:	%{name}-0.035-gcc3.3-patch.bz2
Patch1:         ode-0.5-dynlib_opcode.patch.bz2

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms. 

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures. 

%package -n	%{lib_name}
Summary:	Physics simulation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n	%{lib_name_devel}
Summary:	Headers and libraries to develop ODE applications
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{epoch}:%{version}

%description -n %{lib_name_devel}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1 -b .dynlib

%build
%make configure
%make ode-lib C_FLAGS="-c -fno-rtti -fno-exceptions -ffast-math -Iinclude  -DdNODEBUG $RPM_OPT_FLAGS -fPIC"
%make drawstuff-lib C_FLAGS="-c -fno-rtti -fno-exceptions -ffast-math -Iinclude  -DdNODEBUG $RPM_OPT_FLAGS -fPIC"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir}}
%{__cp} -a lib/* $RPM_BUILD_ROOT%{_libdir}
ln -s %{lib_name_orig}.so.%{lib_major}.5 $RPM_BUILD_ROOT%{_libdir}/%{lib_name_orig}.so.%{lib_major}
ln -s %{lib_name_orig}.so.%{lib_major}.5 $RPM_BUILD_ROOT%{_libdir}/%{lib_name_orig}.so
%{__cp} -a include/* $RPM_BUILD_ROOT%{_includedir}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/%{lib_name_orig}.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc CHANGELOG LICENSE-BSD.TXT README
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-6mdk
- compile with -fPIC

* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-5mdk
- from Jan Ciger: <jan.ciger@gmail.com> :
	o turn off the -whole-archive flag for the linker

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-4mdk
- arg, forgot to add epoch to requires

* Wed Apr 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-3mdk
- fix devel links
- fix devel requires
- do ldconfig

* Wed Apr 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- %%mkrel
- from Jan Ciger <jan.ciger@gmail.com> :
	o 0.5 changed to build a dynamic lib a split the package

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-1mdk
- 0.5 (add epoch as rpm takes 0.5 for less than 0.039)

* Thu Oct 30 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.039-1mdk
- 0.039
- drop P0(fixed upstream)

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-4mdk
- fix compile with gcc-3.3 (P0)
- dont use %%{_libdir}/* in files list since wildcard would include debug
  dir if we were to build debug package

* Wed May 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-3mdk
- change %%mklibname for devel
- fix summary

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-2mdk
- fixed buildrequires

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-1mdk
- initial mdk release
